- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QPersistentModelIndex Class Reference

Search for all occurrences

## Detailed Description

Definition at line 107 of file qabstractitemmodel.h.

`#include <qabstractitemmodel.h>`

List of all members.

## Public Member Functions
| QPersistentModelIndex ()
| QPersistentModelIndex (const QModelIndex &index)
| QPersistentModelIndex (const QPersistentModelIndex &other)
| ~QPersistentModelIndex ()
bool | operator< (const QPersistentModelIndex &other) const
bool | operator== (const QPersistentModelIndex &other) const
bool | operator!= (const QPersistentModelIndex &other) const
QPersistentModelIndex & | operator= (const QPersistentModelIndex &other)
bool | operator== (const QModelIndex &other) const
bool | operator!= (const QModelIndex &other) const
QPersistentModelIndex & | operator= (const QModelIndex &other)
| operator const QModelIndex & () const
int | row () const
int | column () const
void * | internalPointer () const
qint64 | internalId () const
QModelIndex | parent () const
QModelIndex | sibling (int row, int column) const
QModelIndex | child (int row, int column) const
QVariant | data (int role=Qt::DisplayRole) const
Qt::ItemFlags | flags () const
const QAbstractItemModel * | model () const
bool | isValid () const
## Friends
uint | qHash (const QPersistentModelIndex &)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QPersistentModelIndex &)

## Constructor & Destructor Documentation

QPersistentModelIndex | ( |  | ) |

QPersistentModelIndex | ( | const QModelIndex & | index | ) |

QPersistentModelIndex | ( | const QPersistentModelIndex & | other | ) |

~QPersistentModelIndex | ( |  | ) |

## Member Function Documentation

bool operator< | ( | const QPersistentModelIndex & | other | ) | const

bool operator== | ( | const QPersistentModelIndex & | other | ) | const

bool operator!= | ( | const QPersistentModelIndex & | other | ) | const `[inline]`

Definition at line 116 of file qabstractitemmodel.h.

        { return !operator==(other); }

QPersistentModelIndex& operator= | ( | const QPersistentModelIndex & | other | ) |

bool operator== | ( | const QModelIndex & | other | ) | const

bool operator!= | ( | const QModelIndex & | other | ) | const

QPersistentModelIndex& operator= | ( | const QModelIndex & | other | ) |

operator const QModelIndex & | ( |  | ) | const

int row | ( |  | ) | const

Search for all occurrences

int column | ( |  | ) | const

Search for all occurrences

void* internalPointer | ( |  | ) | const

Search for all occurrences

qint64 internalId | ( |  | ) | const

Search for all occurrences

QModelIndex parent | ( |  | ) | const

Search for all occurrences

QModelIndex sibling | ( | int | row,
|  | int | column
| ) |  | const

Search for all occurrences

QModelIndex child | ( | int | row,
|  | int | column
| ) |  | const

Search for all occurrences

QVariant data | ( | int | role = `Qt::DisplayRole` | ) | const

Search for all occurrences

Qt::ItemFlags flags | ( |  | ) | const

Search for all occurrences

const QAbstractItemModel* model | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

uint qHash | ( | const QPersistentModelIndex & | index | ) | `[friend]`

Search for all occurrences

Definition at line 143 of file qabstractitemmodel.h.

    { return qHash(index.d); }

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QPersistentModelIndex & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtCore/qabstractitemmodel.h

QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex
QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex QPersistentModelIndex